curl --request GET \
--url https://api.komerza.com/stores/{storeId}/categories \
--header 'Authorization: Bearer <token>'{
"success": true,
"pages": 123,
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"name": "<string>",
"visibility": 0,
"order": 123,
"storeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"productCount": 123,
"products": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"slug": "<string>"
}
]
}Gets the categories in the store with pagination and filtering.
Requires the stores.categories.view permission.
curl --request GET \
--url https://api.komerza.com/stores/{storeId}/categories \
--header 'Authorization: Bearer <token>'{
"success": true,
"pages": 123,
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"name": "<string>",
"visibility": 0,
"order": 123,
"storeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"productCount": 123,
"products": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"slug": "<string>"
}
]
}Your API key goes here
The ID of the store to get the categories from
1 <= x <= 21474836471 <= x <= 2147483647The object was successfully returned.
Represents a paginated response returned from API endpoints, which contains the paginated data and metadata about the pagination.
Was this page helpful?